Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 497100 - lxde-base/lxsession with sys-devel/automake-1.14.1 - lxsession/Makefile.am:46: warning: source file '../lxsettings-daemon/settings-daemon.c' is in a subdirectory, but option 'subdir-objects' is disabled
Summary: lxde-base/lxsession with sys-devel/automake-1.14.1 - lxsession/Makefile.am:46...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: LXDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-05 04:03 UTC by Nicolas Sahlqvist
Modified: 2014-09-09 08:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,3.09 KB, text/plain)
2014-01-05 04:03 UTC, Nicolas Sahlqvist
Details
Environment settings. (environment,109.13 KB, text/plain)
2014-01-05 04:07 UTC, Nicolas Sahlqvist
Details
Full automake.out. (automake.out,2.61 KB, text/plain)
2014-01-05 04:08 UTC, Nicolas Sahlqvist
Details
Full emerge info. (emerge.info,4.36 KB, text/plain)
2014-01-05 04:18 UTC, Nicolas Sahlqvist
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Sahlqvist 2014-01-05 04:03:46 UTC
Created attachment 367036 [details]
build.log

Running automake fails when emerging lxde-base/lxsession.

Reproducible: Always

Steps to Reproduce:
1. emerge sphinxbase pocketsphinx
Actual Results: 

Failed Running automake !

Include in your bugreport the contents of:

  /var/tmp/portage/lxde-base/lxsession-0.4.9.2-r1/temp/automake.out

ERROR: lxde-base/lxsession-0.4.9.2-r1::gentoo failed (prepare phase):
  Failed Running automake !

Call stack:
    ebuild.sh, line   93:  Called src_prepare
  environment, line 3019:  Called eautoreconf
  environment, line  857:  Called eautomake
  environment, line  806:  Called autotools_run_tool 'automake' '--add-missing' '--copy' '--foreign'
  environment, line  614:  Called die
The specific snippet of code:
          die "Failed Running $1 !";

Comments:
Similar to bug 469504, see comment 9:
https://bugs.gentoo.org/show_bug.cgi?id=469504#c9
Forum thread:
http://forums.gentoo.org/viewtopic-t-978382.html

WORKAROUND:
WANT_AUTOMAKE="1.13" emerge lxde-base/lxsession
Comment 1 Nicolas Sahlqvist 2014-01-05 04:07:47 UTC
Created attachment 367038 [details]
Environment settings.
Comment 2 Nicolas Sahlqvist 2014-01-05 04:08:21 UTC
Created attachment 367040 [details]
Full automake.out.
Comment 3 Nicolas Sahlqvist 2014-01-05 04:18:10 UTC
Created attachment 367042 [details]
Full emerge info.
Comment 4 Nicolas Sahlqvist 2014-01-05 04:31:13 UTC
Correction in steps to reproduce (as it is similar to bug 469504 I copied the description and forgot to change package name):

Steps to Reproduce:
1. emerge lxde-base/lxsession

Sorry for the confusion.
Comment 5 Pavel Kazakov (RETIRED) gentoo-dev 2014-01-05 06:29:59 UTC
Thanks for the report. I pushed a fix by adding a patch that adds subdir-objects to AM_INIT_AUTOMAKE. Upstream already has this fix so I won't be reporting it upstream.
Comment 6 Nicolas Sahlqvist 2014-01-05 10:14:02 UTC
Thanks for the quick fix, I just run a sync and updated the package without the workaround. Your fix solves the issue!